<?php
function Conectar()
{
$conexion = mysql_connect('localhost', 'plusmusi_owner', '^@#F-NBx3W}+');
if (!$conexion) {
    die('Could not connect: ' . mysql_error());
}
mysql_select_db(plusmusi_data);
   return $conexion;
}


//esto para arreglar los generos en las urls :P
function limpiar($cadena){
$cadena = str_replace('-',' ',$cadena);
$cadena = str_replace('_','-',$cadena);
$cadena = ucwords($cadena);
return $cadena;
}


function limpiar_url($cadena){

$cadena = str_replace(' ','-',$cadena);
$cadena = strtolower($cadena);
return $cadena;
}


function limpiar_titulo($cadena){
$cadena = str_replace("&","Y",$cadena);
$cadena = str_replace("�", "n",$cadena);
$cadena = str_replace("_"," ",$cadena);

$cadena = trim($cadena) ;
$cadena = htmlspecialchars($cadena) ;
$cadena = str_replace(chr(90),'',$cadena) ;
$cadena = str_replace(array('"',"'"),array('',''),$cadena);
return $cadena;
}


//lalal para arreglar musica en clonador :P
function bien_zen_2($cadena){
$cadena = str_replace(' ','-',$cadena);
$cadena = strtolower($cadena);
return $cadena;
}

//esto para solo aseptar numeros :P
function validar_num($numero){
if(!preg_match("/^[[:digit:]]+$/", $numero)) {
return true;
}else{
return false;
}
}


//esto para solo aseptar numeros 2 :P
function validar_id($zentido_id){
if(!eregi("/^[[:digit:]]+$/", $zentido_id)) {
return true;
}else{
return false;
}
}

//esto para validar url :P
function validar_url($url){   
if (!preg_match("/^http:\/\/[a-zA-Z0-9-. ]+\..+$/", $url)) {   
return true;
}else{   
return false;  
}   
}  

function tags($text) {
    // Limpiamos el texto
	
	$text=str_replace("[[:digit:]/.]", "", $text);
    $text = strip_tags($text);
    $text = strtolower($text);
    $text = trim($text);
    $text = preg_replace('/[^a-zA-Z0-9 -]/', ' ', $text);
    // extraemos las palabras
    $match = explode(" ", $text);
    // contamos las palabras 
    $count = array();
   if (is_array($match)) {
       foreach ($match as $key => $val) {
            if (strlen($val)> 2) {
               if (isset($count[$val])) {
                   $count[$val]++;
               } else {
                    $count[$val] = 1;
                }
           }
        }
    }
    // Ordenamos los totales
    arsort($count);
    $count = array_slice($count, 0, 10);
    return implode(", ", array_keys($count));
}



    function quitar($texto) {
        $texto = trim($texto) ;
        $texto = htmlspecialchars($texto) ;
        $texto = str_replace(chr(90),'',$texto) ;
        $texto = str_replace(array('"',"'"),array('',''),$texto);
        return $texto ;
    }

function ip() {
  global $HTTP_SERVER_VARS;
  if ($HTTP_SERVER_VARS["HTTP_X_FORWARDED_FOR"] != "") {  #php 4 u.u!
   $ip = $HTTP_SERVER_VARS["HTTP_X_FORWARDED_FOR"];
  }else{ $ip = $HTTP_SERVER_VARS["REMOTE_ADDR"]; } #php 5 :D
  return($ip);
}


function referente(){
	if(preg_match("#^http(s)?:\/\/localhost\/#",$_SERVER['HTTP_REFERER']))
	{return eregi("^http(s)?:\/\/localhost\/",$_SERVER['HTTP_REFERER']);#prueba localhost
	}else{
	 return eregi("^http(s)?:\/\/(www\.)?plusmusicas\.com",$_SERVER['HTTP_REFERER']);#prueba servidor
	}
}


function Syntaxis_Letra($letra) {
return !preg_match("/[^a-zA-Z0-9]/", $letra);
}


function Syntaxis_Login($Usuarioq) {
return !preg_match("/[^a-zA-Z0-9_-]/", $Usuarioq);
}


function elpais($cod){
	$checka = mysql_fetch_array(Query("SELECT pais FROM  paises WHERE codigo='".$cod."'"));
	return $checka['pais'];
}


//esto pa redirecionar xk da flojera acer a manuela xD
function Redireccionar($pag)
{
	 header("Location: $pag");
	 exit();
}



//esto para validar email pes papacho D:

function validar_email($email_ingreso){
if(ereg("^[a-zA-Z0-9_-]{2,}@[a-zA-Z0-9_-]{2,}\.[a-zA-Z]{2,4}(\.[a-zA-Z]{2,4})?$", $email_ingreso)){ 
	return true;
} else{  
	return false;
}
}

function Enlace_gen($dato){
$link = "/".limpiar_url($dato)."/";
	return $link;
}


function Enlace_art($dato,$dato1){
$link = "/".limpiar_url($dato)."/".limpiar_url($dato1)."/";
	return $link;
}


function Enlace_can($dato,$dato1,$dato2){
$link = "/".limpiar_url($dato)."/".limpiar_url($dato1)."/".limpiar_url($dato2)."/";
	return $link;
}

function Enlace_id($dato,$dato1,$dato2,$dato3){
$link = "/".limpiar_url($dato)."/".limpiar_url($dato1)."/".limpiar_url($dato2)."/".limpiar_url($dato3)."/";
	return $link;
}


function Enlace_like_gen($dato){
$link = "/".limpiar_url($dato)."/";
	return $link;
}


function Enlace_like($dato,$dato1){
$link = "/".limpiar_url($dato)."/".limpiar_url($dato1)."/";
	return $link;
}


function Enlace_like_can($dato,$dato1,$dato2){
$link = "/".limpiar_url($dato)."/".limpiar_url($dato1)."/".limpiar_url($dato2)."/";
	return $link;
}

function Enlace_like_id($dato,$dato1,$dato2,$dato3){
$link = "/".limpiar_url($dato)."/".limpiar_url($dato1)."/".limpiar_url($dato2)."/".limpiar_url($dato3)."/";
	return $link;
}

function Imagen($us){

  $u = mysql_fetch_array(Query("SELECT sexo,imagen FROM `usuarios`  WHERE  nick='".$us."'"));
   if($u["sexo"] == "1")  {
		   if(empty($u["imagen"]))	   {
			   $_img = "./Imagenes/Perfil_Varon.jpg";
		   }else{
			   $_img = $u["imagen"];
		   }

	     }else {
		   if(empty($u["imagen"])) {
			   $_img = "./Imagenes/Perfil_Mujer.jpg";
		   }else{
			   $_img = $u["imagen"];
			   }
     }

	return $_img;
}



//esto para no permitir html

function limpiar_html($cadena_xd,$opcion_xd) {
	strip_tags($cadena_xd, $opcion_xd);
}



function Rating($visita)
{

              if ($visita==0){     $filtro = "0";	}#0 estrella
	else if($visita > 0 && $visita <150){$filtro = "16";} #1 estrella 
	else if($visita > 150 && $visita<250){	$filtro = "30";	}#1.5 estrella 
	else if($visita>250 && $visita <400){	$filtro = "32";	}#2estrellas
	else if($visita>400 && $visita <450){	$filtro = "46";	}#2,5 estrella 
	else if($visita>450 && $visita <500){	$filtro = "48";	}#3 estrellas
	else if($visita>500 && $visita <600){	$filtro = "55";	}#3.5 estrella 
	else if($visita>600 && $visita <700){	$filtro = "64";	}#4 estrellas 
	else if($visita>700 && $visita <850){	$filtro = "74";	}#4.5 estrellas 
	else if($visita>850 && $visita <1000){	$filtro = "79";	}#5 estrellas Y_Y
	return $filtro;
}

/* Total de Registros */
function QueryTotal($sql)
{
	$consulta = Query($sql);
	$totalreg = @mysql_num_rows($consulta);
	return $totalreg;
}


/* Verifacion de un Dato en la Tabla (.*n) */
function Queryvalido($dato,$tabla,$by)
{
    ($tabla == "albumnes")? $sc = "album_id" : $sc = "id";
	$sql = "SELECT $sc FROM `".$tabla."` WHERE `".$by."` LIKE '".$dato."'";
	$totalreg = QueryTotal($sql);
	if($totalreg == 0)
	{return 0;#no hay registros u.u!
	}else
	{return 1;#si hay XD!
	}
}

function generar_enlace_firmado($ruta, $tiempo_validez = 21600) {
    $clave = 'miclavees159';
    $expira = time() + $tiempo_validez;
    $datos = base64_encode($ruta . '|' . $expira);
    $firma = hash_hmac('sha256', $datos, $clave);
    return "https://09072025.xyz/stream.php?token={$datos}&firma={$firma}";
}

function arrayJs($sql){
global $root;

	$busec = Query($sql);
	$indice = 0;
	$canciones = array();
	while(list($id,$genero,$artista,$cancion,$url,$hits) = @mysql_fetch_array($busec))
		{


	$tem1=limpiar($cancion);
	$art1=limpiar($artista);

		     $_genero = strtolower(inversa(notildes($genero)));
		     $_artista = strtolower(inversa(notildes($artista)));
	             $_cancion = strtolower(inversa(notildes($cancion)));
				 
				 	 if (!preg_match('/^https?:\/\//i',  $url)) {
										$url= '' .  $url;
							  }
							  $url= str_replace(' ','%20',$url);
				 
$canciones[] = array(
    "id" => $id,
    "title" => "{$tem1} - <b>{$art1}</b>",
    "titleXD" => "{$tem1} - {$art1}",
    "genero" => "".ucwords($genero)."",
    "artista" => "{$art1}",
    "tema" => "{$tem1}",
    "hits" => $hits,
    "mp3" => generar_enlace_firmado($url),
	"enlace"=> "".$root."".Enlace_like_can($_genero,$_artista,$_cancion)."",
   // "enlace" => "/search?q=".urlencode($cancion),
    );

	}
		echo json_encode($canciones);
}

function Seguridad($texto){
    $texto = htmlspecialchars(trim(addslashes(stripslashes(strip_tags($texto)))));
	$texto = str_replace(chr(160),'',$texto);
	$texto = str_replace('%','',$texto);
	return $texto;
}

function Query($sql)
{

	$consulta = @mysql_query($sql);
	return $consulta;	
}

function escape($string){
	return mysql_real_escape_string($string);
}

function notildes($cadena){
	$tofind = "ÀÁÂÃÄÅàáâãäåÒÓÔÕÖØòóôõöøÈÉÊËèéêëÇçÌÍÎÏìíîïÙÚÛÜùúûüÿÑñ";
    $replac = "AAAAAAaaaaaaOOOOOOooooooEEEEeeeeCcIIIIiiiiUUUUuuuuyNn";
    return(strtr($cadena,$tofind,$replac));
}

function limpiar_texto($cadena) {

   $cadena = preg_replace("/[^A-Za-z0-9]/", " ", $cadena);
   $cadena = htmlspecialchars($cadena);
   $cadena = str_replace( "([ ]+)", " ", $cadena );
   $cadena = limpiar($cadena);
    return($cadena); 
}

function inversa($texto){
	return str_replace(" ","-",str_replace("&#39;","",$texto));
}

function letraValida($let){
	$letras = array("A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","1");
	for($n = 0; $n<count($letras);$n++)	{
		if($letras[$n] == $let)	{	$sihay = true;}
	}
	if($sihay){	return 1;}else{return 0;}
}

function digitos($num){
	return ($num<10)? "0".$num : $num;
}
function nodigitos($num){
	return ($num<10)? str_replace("0","",$num) : $num;
}


function verMeses($menos){
	$meses = array("","Enero","Febrero","Marzo","Abrir","Mayo","Junio","Julio","Agosto","Septiembre","Octube","Noviembre","Diciembre");
	for($n = 1;$n<count($meses);$n++){
		if($n == $menos){
		echo "<option value=\"".digitos($menos)."\" selected>".$meses[$menos]."</option>";
		}else
		{echo "<option value=\"".digitos($n)."\">".$meses[$n]."</option>";
		}
	}
}

function Contacto($opc){
	$opciones = array("Seleccione el asunto","Derechos de autor","Derechos fonogr�ficos","Reportar falla","Publicidad","Cr�ticas y Sugerencias","Contactar al administrador","Atenci�n al usuario","OTROS INTERESES");
	for($n = 0;$n<count($opciones);$n++){
		if($n == $opc){
		echo "<option value=\"".str_replace("Seleccione el asunto","",$opciones[$n])."\" selected >".$opciones[$n]."</option>";
		}else
		{echo "<option value=\"".$opciones[$n]."\">".$opciones[$n]."</option>";
		}
	}
}
?>